<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <script>
      const user = {
        firstName: "Irina",
        surname: "Stoetskaya",
      };

      function showFullName(firstPart, lastPart) {
        console.log(this[firstPart] + " " + this[lastPart]);
      }

      showFullName.call(user, "firstName", "surname");
      showFullName.apply(user, ["firstName", "surname"]);

     

      const newFunc = showFullName.bind(user);
      newFunc("firstName", "surname");
    </script>
  </body>
</html>
